org.eclnt.jsfserver.elements.adapter

## Interface IComponentAdapterBinding

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    ComponentAdapterBindingBase, ComponentAdapterBindingMap, SCComponentAdapterBinding

      public interface IComponentAdapterBinding
      extends java.io.Serializable

  Interface to be implemented by objects serving as "adapter binding" objects.
  Implementations need to declare which properties they are providing - by implementing the corresponding methods `getFixAttributeNames()` and `getDynamicAttributeNames()`. The differenciation is made because of performance reasons: fix properties are only examined once at runtime, dynamic properties are examined with every request processing.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getAttibuteType(java.lang.String attributeName)` This method needs only to be implemented for these attributes which are set later on.
    `java.lang.Object` | `getAttributeValue(java.lang.String attributeName)` Get the attribute value for an attribute.
    `java.util.Set<java.lang.String>` | `getDynamicAttributeNames()` Name of the attributes that are dynamic over the whole lifecycle of the corresponding object.
    `java.util.Set<java.lang.String>` | `getFixAttributeNames()` Name of the attributes that are set one time but not changed later on anymore.
    `void` | `onAction(ActionEvent event)` Action listener that is called when the component processes an action event.
    `void` | `setAttributeValue(java.lang.String attributeName, java.lang.Object value)` Set the attribute value.

- - ### Method Detail

    - #### getFixAttributeNames

          java.util.Set<java.lang.String> getFixAttributeNames()

      Name of the attributes that are set one time but not changed later on anymore.

    - #### getDynamicAttributeNames

          java.util.Set<java.lang.String> getDynamicAttributeNames()

      Name of the attributes that are dynamic over the whole lifecycle of the corresponding object.

    - #### setAttributeValue

          void setAttributeValue(java.lang.String attributeName,
                                 java.lang.Object value)

      Set the attribute value. This only needs to be implemented for these attributes that are actually set (e.g. in case of a FIELD component only the attribute that manages the TEXT attribute needs to implement the corresponding reaction).

    - #### getAttibuteType

          java.lang.Class getAttibuteType(java.lang.String attributeName)

      This method needs only to be implemented for these attributes which are set later on. It needs not to be implemented for these attributes that are "get-only". In case of returning null as type the default mechanism will be used for transferring the UI value into an object value.

    - #### getAttributeValue

          java.lang.Object getAttributeValue(java.lang.String attributeName)

      Get the attribute value for an attribute.

    - #### onAction

          void onAction(ActionEvent event)

      Action listener that is called when the component processes an action event. This action listener is called when no explicit actionListener is defined with the component.

Copyright © CaptainCasa Gmbh. All Rights Reserved.